apiVersion: v1
kind: Service
metadata:
  name: "service-{{app_name}}"
  namespace: "{{env}}"
spec:
  ports:
    - port: {{app.port}}
      targetPort: {{service.port}}
      protocol: TCP
  type: {{service.type}}
  selector:
{% if matchlables is defined %}
{{matchlables|to_nice_yaml| indent(6,true)}}
{%- else %}
        app: {{ app_name}}-app
{% endif %}
